const {request} = require("../request/index")

/**
 * 登录
 * @param {*} data 
 */
export const userLogin = function (data) {
    return request({
        url: '/user/login',
        method: 'POST',
        data
    })
}

/**
 * 获取用户信息
 * @param {*} data 
 */
export const getUser = function (data) {
    return request({
        url: '/user/userInfo',
        method: 'POST',
        data
    })
}