const {request} = require("../request/index")
/**
 * 获取oss鉴权信息
 */
export const getOssAuth = function (data) {
    return request({
        url: '/aliyunOss/getSecurityToken',
        method: 'GET',
        data
    })
}

/**
 * 上传图片
 */
export const uploadImage = function(data) {
    return request({
        url: '/information/registerInformation',
        method: 'POST',
        data
    })
}