// pages/task/task.js
import {getAllTask} from '../../api/task.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userInfo: {},
        dataList: [],
        uploadType: ['车辆登记', '访客人员']
    },

    onLoad() {
        let userInfo = wx.getStorageSync('userInfo')
        this.setData({userInfo})
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getRecodesList()
    },
    // 获取近期记录
    getRecodesList() {
        getAllTask({page: 1, limit:3}).then(res=> {
            if(res?.code === 0) {
                this.setData({dataList: res.data?.records})
            }
        })
    },

    /**
     * 进入记录列表
     */
    goTaskPage(e) {
        wx.navigateTo({
          url: '/package_A/page/alltask/index',
        })
    },
    // 车辆登记
    goUpload() {
        wx.navigateTo({
          url: '/package_A/page/upload/index',
        })
    },
    // 访客登记
    goRegister() {
        wx.navigateTo({
            url: '/package_A/page/register/index',
        })
    },
    /**
     * 进入详情页面
     */
    goTaskDetail(e) {
        let detail = e.currentTarget.dataset.detail
        if(detail.registerType === 0) {
            wx.navigateTo({
                url: '/package_A/page/upload/index?id=' + detail.id,
            })
        } else {
            wx.navigateTo({
                url: '/package_A/page/register/index?id=' + detail.id,
            })
        }
    }

})